# PyStark - Python add-on extension to Pyrogram
# Copyright (C) 2021-2022 Stark Bots <https://github.com/StarkBotsIndustries>
#
# This file is part of PyStark.
#
# PyStark is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PyStark is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PyStark. If not, see <https://www.gnu.org/licenses/>.

from pystark import Stark
try:
    import redis
except ImportError:
    import os
    Stark.log('Installing redis...')
    os.system('pip3 install redis~=4.1.2')
    import redis
from ..config import ENV

REDIS_URL = ENV.REDIS_URL
REDIS_PASSWORD = ENV.REDIS_PASSWORD

redis = redis.Redis.from_url('redis://'+REDIS_URL, password=REDIS_PASSWORD)
